> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an adjustment



## OpenAPI

````yaml /spec/openapi.json post /adjustments
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /adjustments:
    post:
      tags:
        - Adjustments
      summary: Create an adjustment
      operationId: adjustments-store
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    correction_pay_stub_id:
                      type: string
                    source_line_item_id:
                      type: string
                      description: >-
                        Must be present when `type` and `subtype` is either
                        empty or not set.
                    expected_amount:
                      type: number
                      format: decimal
                      minimum: -99999
                      maximum: 99999
                    is_company_amount:
                      type: boolean
                    type:
                      type: string
                      description: >-
                        Must be present when `source_line_item_id` is either
                        empty or not set.
                      enum:
                        - allowance
                        - deduction
                        - earning
                        - employee_benefit
                        - employer_benefit
                        - employer_statutory_withholding
                        - reimbursement
                        - statutory_withholding
                    subtype:
                      type: string
                      description: >-
                        Must be present when `source_line_item_id` is either
                        empty or not set.
                    admin_note:
                      type: string
                      nullable: true
                    external_ref:
                      type: string
                      maxLength: 255
                - type: object
                  required:
                    - correction_pay_stub_id
                    - expected_amount
            example:
              correction_pay_stub_id: <id>
              source_line_item_id: <id>
              expected_amount: 50
              admin_note: Admin note
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The unique identifier of the object in Nmbr.
                    readOnly: true
                  object:
                    type: string
                    description: The type of the object in Nmbr (`"adjustment"`).
                    readOnly: true
                  data:
                    $ref: '#/components/schemas/Adjustment'
              example:
                id: <id>
                object: adjustment
                data:
                  source_line_item:
                    id: <id>
                    object: earning_line_item
                    data:
                      pay_stub:
                        id: <id>
                        object: pay_stub
                        links:
                          self: /pay_stubs/<id>
                      amount: 10000
                      custom_amount: null
                      managed_amount: 10000
                      is_managed: true
                      line_item_type: earning
                      earning_type:
                        id: <id>
                        object: earning_type
                        data:
                          type: salary
                          label: Salary
                          supported_payroll_types:
                            regular: true
                            historical: true
                            off_cycle: true
                        links:
                          self: /earning_types/salary
                      hours: 173.33
                      managed_hours: 173.33
                      custom_hours: null
                      accrued_vacation_pay: 0
                      recurrence:
                        id: <id>
                        object: pay_rate
                        links:
                          self: /pay_rates/<id>
                      pay_rate:
                        id: <id>
                        object: pay_rate
                        links:
                          self: /pay_rates/<id>
                      overtime_rate: null
                      title: Salary Rate
                      title_translations: null
                      title_translated: Salary Rate
                      expense_accounting_code: null
                      managed_expense_accounting_code: null
                      custom_expense_accounting_code: null
                      liability_accounting_code: null
                      managed_liability_accounting_code: null
                      custom_liability_accounting_code: null
                      business_preset: null
                      source_adjustment: null
                      component_settings:
                        attributes_locked: false
                      earned_on: null
                      managed_earned_on: null
                      custom_earned_on: null
                      external_ref: null
                      created_at: '2026-01-01T00:00:00.000000Z'
                      updated_at: '2026-01-01T00:00:00.000000Z'
                    links:
                      self: /earning_line_items/<id>
                  correction_line_item:
                    id: <id>
                    object: earning_line_item
                    data:
                      pay_stub:
                        id: <id>
                        object: pay_stub
                        links:
                          self: /pay_stubs/<id>
                      amount: -9950
                      custom_amount: null
                      managed_amount: -9950
                      is_managed: false
                      line_item_type: earning
                      earning_type:
                        id: <id>
                        object: earning_type
                        data:
                          type: salary
                          label: Salary
                          supported_payroll_types:
                            regular: true
                            historical: true
                            off_cycle: true
                        links:
                          self: /earning_types/salary
                      hours: null
                      managed_hours: null
                      custom_hours: null
                      accrued_vacation_pay: 0
                      recurrence: null
                      pay_rate: null
                      overtime_rate: null
                      title: Salary Rate Adjustment
                      title_translations:
                        en: Salary Rate Adjustment
                        fr: Rajustement Salary Rate
                      title_translated: Salary Rate Adjustment
                      expense_accounting_code: null
                      managed_expense_accounting_code: null
                      custom_expense_accounting_code: null
                      liability_accounting_code: null
                      managed_liability_accounting_code: null
                      custom_liability_accounting_code: null
                      business_preset: null
                      source_adjustment:
                        id: <id>
                        object: adjustment
                        links:
                          self: /adjustments/<id>
                      component_settings:
                        attributes_locked: false
                      earned_on: null
                      managed_earned_on: null
                      custom_earned_on: null
                      external_ref: null
                      created_at: '2026-01-01T00:00:00.000000Z'
                      updated_at: '2026-01-01T00:00:00.000000Z'
                    links:
                      self: /earning_line_items/<id>
                  correction_pay_stub:
                    id: <id>
                    object: pay_stub
                    links:
                      self: /pay_stubs/<id>
                  type: earning
                  subtype: salary
                  expected_amount: 50
                  admin_note: Admin note
                  external_ref: null
                  created_at: '2026-01-01T00:00:00.000000Z'
                  updated_at: '2026-01-01T00:00:00.000000Z'
                links:
                  self: /adjustments/<id>
components:
  schemas:
    Adjustment:
      type: object
      title: Adjustment
      properties:
        source_line_item:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"earning_line_item"`).
              readOnly: true
            data:
              $ref: '#/components/schemas/LineItem'
        correction_line_item:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"earning_line_item"`).
              readOnly: true
            data:
              $ref: '#/components/schemas/LineItem'
        correction_pay_stub:
          type: object
          properties:
            id:
              type: string
              description: The unique identifier of the object in Nmbr.
              readOnly: true
            object:
              type: string
              description: The type of the object in Nmbr (`"pay_stub"`).
              readOnly: true
        type:
          type: string
          nullable: true
          maxLength: 255
        subtype:
          type: string
          nullable: true
          maxLength: 255
        expected_amount:
          type: number
          format: decimal
        admin_note:
          type: string
          nullable: true
        external_ref:
          type: string
          description: >-
            A reference to the object in an external system, e.g. the primary
            key of the object in your application's database. Nmbr doesn't use,
            validate, parse, or require this value to be unique - it simply
            stores it for your reference.
          nullable: true
          maxLength: 255
        created_at:
          type: string
          description: The date and time the object was created in Nmbr.
          readOnly: true
          format: dateTime
        updated_at:
          type: string
          description: The date and time the object was last updated in Nmbr.
          readOnly: true
          format: dateTime
    LineItem:
      type: object
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````